routes/admin.php
<?php

// Route::get('/home', function () {
//     // $users[] = Auth::user();
//     // $users[] = Auth::guard()->user();
//     // $users[] = Auth::guard('admin')->user();

//     //dd($users);

//     return view('admin.home');
// })->name('home');

Route::get('home', 'AdminAuth\HomeController@index')->name('home');

Route::post('/bank/delete-all', 'AdminAuth\BankController@postDeleteAll')->name('bank.delete.all');
Route::get('/bank/getData', 'AdminAuth\BankController@getData')->name('bank.getData');
Route::resource('bank', 'AdminAuth\BankController');

Route::post('/category/delete-all', 'AdminAuth\KategoriBarangController@postDeleteAll')->name('category.delete.all');
Route::get('/category/getData', 'AdminAuth\KategoriBarangController@getData')->name('category.getData');
Route::resource('category', 'AdminAuth\KategoriBarangController');

Route::post('/item/delete-all', 'AdminAuth\BarangController@postDeleteAll')->name('item.delete.all');
Route::get('/item/getData', 'AdminAuth\BarangController@getData')->name('item.getData');
Route::resource('item', 'AdminAuth\BarangController');

Route::post('/staff/delete-all', 'AdminAuth\PegawaiController@postDeleteAll')->name('staff.delete.all');
Route::get('/staff/getData', 'AdminAuth\PegawaiController@getData')->name('staff.getData');
Route::resource('staff', 'AdminAuth\PegawaiController');

Route::post('/customer/delete-all', 'AdminAuth\PelangganController@postDeleteAll')->name('customer.delete.all');
Route::get('/customer/getData', 'AdminAuth\PelangganController@getData')->name('customer.getData');
Route::resource('customer', 'AdminAuth\PelangganController');


Route::post('/itemStatus/delete-all', 'AdminAuth\StatusBarangController@postDeleteAll')->name('itemStatus.delete.all');
Route::get('/itemStatus/getData', 'AdminAuth\StatusBarangController@getData')->name('itemStatus.getData');
Route::resource('itemStatus', 'AdminAuth\StatusBarangController');

Route::get('/about', 'AdminAuth\AboutController@index')->name('about.index');
Route::post('/about', 'AdminAuth\AboutController@store')->name('about.store');

Route::get('/profile', 'Admin\ProfileController@index')->name('profile.index');
Route::post('/profile', 'Admin\ProfileController@store')->name('profile.store');

Route::post('/transaction/delete-all', 'AdminAuth\TransaksiController@postDeleteAll')->name('transaction.delete.all');
Route::get('/transaction/getData', 'AdminAuth\TransaksiController@getData')->name('transaction.getData');
Route::get('/transaction/modal/{id?}', 'AdminAuth\TransaksiController@modal')->name('transaction.modal');
Route::get('transaction', 'AdminAuth\TransaksiController@index')->name('transaction.index');
Route::get('transaction/{id}/edit', 'AdminAuth\TransaksiController@edit')->name('transaction.edit');
Route::delete('transaction/{id}', 'AdminAuth\TransaksiController@destroy')->name('transaction.destroy');
Route::post('transaction/{id}', 'AdminAuth\TransaksiController@store')->name('transaction.store');

Route::post('/confirmation/delete-all', ['as' => 'confirmation.delete.all', 'uses' => 'AdminAuth\KonfirmasiController@postDeleteAll']);
Route::get('/confirmation/getData', 'AdminAuth\KonfirmasiController@getData')->name('confirmation.getData');
Route::get('confirmation/{id}/edit', ['as' => 'confirmation.edit', 'uses' => 'AdminAuth\KonfirmasiController@edit', 'middleware' => ['acl:index_confirmation']]);
Route::put('confirmation/{id}', 'AdminAuth\KonfirmasiController@update')->name('confirmation.update');
// Route::get('confirmation', ['as' => 'confirmation.index', 'uses' => 'AdminAuth\KonfirmasiController@index']);
Route::resource('confirmation', 'AdminAuth\KonfirmasiController');

Route::post('/access/delete-all', ['as' => 'access.delete.all', 'uses' => 'AdminAuth\HakAksesController@postDeleteAll']);
Route::get('/access/getData', 'AdminAuth\HakAksesController@getData')->name('access.getData');
Route::get('access/{id}/edit', ['as' => 'access.edit', 'uses' => 'AdminAuth\HakAksesController@edit']);
Route::resource('access', 'AdminAuth\HakAksesController');

// Route::post('/status/delete-all', 'AdminAuth\StatusController@postDeleteAll')->name('status.delete.all');
// Route::get('/status/getData', 'AdminAuth\StatusController@getData')->name('status.getData');
// Route::resource('status', 'AdminAuth\StatusController');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return view('welcome');
});

//Admin Login
Route::get('admin/login', 'AdminAuth\LoginController@showLoginForm');
Route::post('admin/login', 'AdminAuth\LoginController@login');
Route::post('admin/logout', 'AdminAuth\LoginController@logout');

//Admin Register
// Route::get('admin/register', 'AdminAuth\RegisterController@showRegistrationForm');
// Route::post('admin/register', 'AdminAuth\RegisterController@register');

//Admin Passwords
Route::post('admin/password/email', 'AdminAuth\ForgotPasswordController@sendResetLinkEmail');
Route::post('admin/password/reset', 'AdminAuth\ResetPasswordController@reset');
Route::get('admin/password/reset', 'AdminAuth\ForgotPasswordController@showLinkRequestForm');
Route::get('admin/password/reset/{token}', 'AdminAuth\ResetPasswordController@showResetForm');

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Zizaco\Entrust\Traits\EntrustUserTrait;
use Carbon\Carbon;

// use Illuminate\Database\Eloquent\Model;
class User extends Authenticatable
{
    use Notifiable, EntrustUserTrait; 
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    public function favorite()
    {
        return $this->hasMany('App\Model\Favorite');
    }

    public function transaction()
    {
        return $this->hasMany('App\Model\Transaksi');
    }

    // public function role()
    // {
    //     return $this->hasMany('App\Model\RoleUser');
    // }

    public function getCreatedAtAttribute($value)
    {
        return Carbon::parse($value)->format('d F Y');
    }


    /*
    |--------------------------------------------------------------------------
    | Relationship Methods
    |--------------------------------------------------------------------------
    */
   
    /**
     * Many-To-Many Relationship Method for accessing the User->roles
     *
     * @return QueryBuilder Object
     */
    // public function roles()
    // {
    //     return $this->belongsToMany('App\Model\Role');
    // }

    // public function hasRole($role)
    // {
    //     if (is_string($role)) {
    //         # code...
    //         return $this->roles->contains('name',$role);
    //     }

    //     return !! $role->intersect($this->roles)->count();

    // }

// public function setFirstNameAttribute($value)
//     {
//         $this->attributes['first_name'] = strtolower($value);
//     }
}

resources/views/admin/layout/part/language.blade.php
<li class="dropdown messages-menu">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown">
    <i class="fa fa-globe"></i>
  </a>
  <ul class="dropdown-menu">
    <li>
      <!-- inner menu: contains the actual data -->
      <ul class="menu">
        @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
        <li><a rel="alternate" hreflang="{{$localeCode}}" href="{{LaravelLocalization::getLocalizedURL($localeCode) }}">{{ $properties['native'] }}</a></li>
        @endforeach
      </ul>
    </li>
  </ul>
</li>

resources/views/admin/layout/part/menu.blade.php
<?php 
$uri = (request()->segment(1)=='en')?request()->segment(3):request()->segment(2);
?>
<ul class="sidebar-menu">
  <li class="header">MAIN NAVIGATION</li>
  <li {{($uri=='dashboard')?"class=active":''}}>
    <a href="{{ route('admin.home') }}">
      <i class="fa fa-dashboard"></i> <span>Dashboard</span>
    </a>
  </li>
  
  @if(auth()->user()->can('index_transaction'))
  <li {{($uri=='transaction')? "class=active" :''}}>
    <a href="{{ route('admin.transaction.index') }}">
      <i class="fa fa-shopping-cart"></i> <span>{{trans('menu.transaction')}}</span>
    </a>
  </li>
  @endif

  @if(auth()->user()->can('index_confirmation'))
  <li {{($uri=='confirmation')? "class=active" :''}}>
    <a href="{{ route('admin.confirmation.index') }}">
      <i class="fa fa-check-circle"></i> <span>{{trans('menu.confirmation')}}</span>
    </a>
  </li>
  @endif
  
  @if(auth()->user()->can('index_category'))
  <li {{($uri=='category')?'class=active':''}}>
    <a href="{{ route('admin.category.index') }}">
      <i class="fa fa-briefcase"></i> <span>{{trans('menu.category')}}</span>
    </a>
  </li>
  @endif

  @if(auth()->user()->can('index_item'))
  <li {{($uri=='item')?'class=active':''}}>
    <a href="{{ route('admin.item.index') }}">
      <i class="fa fa-briefcase"></i> <span>{{trans('menu.item')}}</span>
    </a>
  </li>
  @endif
  
  @if(auth()->user()->can('index_staff'))
  <li {{($uri=='staff')?'class=active':''}}>
    <a href="{{ route('admin.staff.index') }}">
      <i class="fa fa-users"></i> <span>{{trans('menu.staff')}}</span>
    </a>
  </li>
  @endif
  
  @if(auth()->user()->can('index_favorite'))
  <li {{($uri=='favorite')?'class=active':''}}>
    <a href="">
      <i class="fa fa-star"></i> <span>{{trans('menu.favorite')}}</span>
    </a>
  </li>
  @endif
  
  <li class="treeview {{($uri=='bank'||$uri=='itemStatus'||$uri=='about'||$uri=='access')?'active':''}}">
    <a href="#">
      <i class="fa fa-gear"></i> <span>{{trans('menu.setting')}}</span>
      <span class="pull-right-container">
        <i class="fa fa-angle-left pull-right"></i>
      </span>
    </a>
    <ul class="treeview-menu menu-open">
      @if(auth()->user()->can('index_bank'))
      <li {{($uri=='bank')?'class=active':''}}><a href="{{ route('admin.bank.index') }}"><i class="fa fa-circle-o"></i> {{trans('menu.bank')}}</a></li>
      @endif
      {{-- <li {{($uri=='status')?'class=active':''}}><a href="{{ route('admin.status.index') }}"><i class="fa fa-circle-o"></i> {{trans('menu.status')}}</a></li> --}}

      @if(auth()->user()->can('index_status'))
      <li {{($uri=='itemStatus')?'class=active':''}}><a href="{{ route('admin.itemStatus.index') }}"><i class="fa fa-circle-o"></i> {{trans('menu.status.item')}}</a></li>
      @endif

      @if(auth()->user()->can('about'))
      <li {{($uri=='about')?'class=active':''}}><a href="{{ route('admin.about.index') }}"><i class="fa fa-circle-o"></i> {{trans('menu.about')}}</a></li>
      @endif

      @if(auth()->user()->can('index_access'))
      <li {{($uri=='access')?'class=active':''}}><a href="{{ route('admin.access.index') }}"><i class="fa fa-circle-o"></i> {{trans('menu.access')}}</a></li>
      @endif
    </ul>
  </li>
{{--   <li>
    <a href="pages/mailbox/mailbox.html">
      <i class="fa fa-envelope"></i> <span>Mailbox</span>
      <small class="label pull-right bg-yellow">12</small>
    </a>
  </li> --}}
{{--   <li class="header">LABELS</li>
  <li><a href="#"><i class="fa fa-circle-o text-red"></i> <span>Important</span></a></li>
  <li><a href="#"><i class="fa fa-circle-o text-yellow"></i> <span>Warning</span></a></li>
  <li><a href="#"><i class="fa fa-circle-o text-aqua"></i> <span>Information</span></a></li> --}}
</ul>

resources/views/admin/layout/part/message.blade.php
<li class="dropdown messages-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-envelope-o"></i>
                  <span class="label label-success">4</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 4 messages</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
                      <li><!-- start message -->
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user2-160x160.jpg" class="img-circle" alt="User Image"/>
                          </div>
                          <h4>
                            Support Team
                            <small><i class="fa fa-clock-o"></i> 5 mins</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li><!-- end message -->
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user3-128x128.jpg" class="img-circle" alt="user image"/>
                          </div>
                          <h4>
                            AdminLTE Design Team
                            <small><i class="fa fa-clock-o"></i> 2 hours</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user4-128x128.jpg" class="img-circle" alt="user image"/>
                          </div>
                          <h4>
                            Developers
                            <small><i class="fa fa-clock-o"></i> Today</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user3-128x128.jpg" class="img-circle" alt="user image"/>
                          </div>
                          <h4>
                            Sales Department
                            <small><i class="fa fa-clock-o"></i> Yesterday</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <div class="pull-left">
                            <img src="dist/img/user4-128x128.jpg" class="img-circle" alt="user image"/>
                          </div>
                          <h4>
                            Reviewers
                            <small><i class="fa fa-clock-o"></i> 2 days</small>
                          </h4>
                          <p>Why not buy a new awesome theme?</p>
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="footer"><a href="#">See All Messages</a></li>
                </ul>
              </li>

resources/views/admin/layout/part/notif.blade.php
<li class="dropdown notifications-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-bell-o"></i>
                  <span class="label label-warning">10</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 10 notifications</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
                      <li>
                        <a href="#">
                          <i class="fa fa-users text-aqua"></i> 5 new members joined today
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-warning text-yellow"></i> Very long description here that may not fit into the page and may cause design problems
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-users text-red"></i> 5 new members joined
                        </a>
                      </li>

                      <li>
                        <a href="#">
                          <i class="fa fa-shopping-cart text-green"></i> 25 sales made
                        </a>
                      </li>
                      <li>
                        <a href="#">
                          <i class="fa fa-user text-red"></i> You changed your username
                        </a>
                      </li>
                    </ul>
                  </li>
                  <li class="footer"><a href="#">View all</a></li>
                </ul>
              </li>

resources/views/admin/layout/part/search.blade.php
<form action="#" method="get" class="sidebar-form">
  <div class="input-group">
    <input type="text" name="q" class="form-control" placeholder="Search..."/>
    <span class="input-group-btn">
      <button type='submit' name='search' id='search-btn' class="btn btn-flat"><i class="fa fa-search"></i></button>
    </span>
  </div>
</form>

resources/views/admin/layout/part/task.blade.php
<li class="dropdown tasks-menu">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                  <i class="fa fa-flag-o"></i>
                  <span class="label label-danger">9</span>
                </a>
                <ul class="dropdown-menu">
                  <li class="header">You have 9 tasks</li>
                  <li>
                    <!-- inner menu: contains the actual data -->
                    <ul class="menu">
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Design some buttons
                            <small class="pull-right">20%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-aqua" style="width: 20%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">20% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Create a nice theme
                            <small class="pull-right">40%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-green" style="width: 40%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">40% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Some task I need to do
                            <small class="pull-right">60%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-red" style="width: 60%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">60% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                      <li><!-- Task item -->
                        <a href="#">
                          <h3>
                            Make beautiful transitions
                            <small class="pull-right">80%</small>
                          </h3>
                          <div class="progress xs">
                            <div class="progress-bar progress-bar-yellow" style="width: 80%" role="progressbar" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                              <span class="sr-only">80% Complete</span>
                            </div>
                          </div>
                        </a>
                      </li><!-- end task item -->
                    </ul>
                  </li>
                  <li class="footer">
                    <a href="#">View all tasks</a>
                  </li>
                </ul>
              </li>

resources/views/admin/layout/part/user.blade.php
<li class="dropdown user user-menu">
  <a href="#" class="dropdown-toggle" data-toggle="dropdown">
    <img src="{{asset('adminlte/dist/img/user2-160x160.jpg')}}" class="user-image" alt="User Image"/>
    <span class="hidden-xs">{{auth()->guard('admin')->user()->name}}</span>
  </a>
  <ul class="dropdown-menu">
    <!-- User image -->
    <li class="user-header">
      <img src="{{asset('adminlte/dist/img/user2-160x160.jpg')}}" class="img-circle" alt="User Image" />
      <p>
        {{Str::words(auth()->guard('admin')->user()->name,2,'')}}
        <small>{{trans('message.member.since')}} {{date('M. Y',strtotime(auth()->guard('admin')->user()->created_at))}}</small>
      </p>
    </li>
    <!-- Menu Body -->
{{--     <li class="user-body">
      <div class="col-xs-4 text-center">
        <a href="#">Followers</a>
      </div>
      <div class="col-xs-4 text-center">
        <a href="#">Sales</a>
      </div>
      <div class="col-xs-4 text-center">
        <a href="#">Friends</a>
      </div>
    </li> --}}
    <!-- Menu Footer-->
    <li class="user-footer">
      <div class="pull-left">
        <a href="{{url('admin/profile')}}" class="btn btn-default btn-flat">{{trans('message.profile')}}</a>
      </div>
      <div class="pull-right">
        <a href="{{ url('/admin/logout') }}" class="btn btn-default btn-flat"
            onclick="event.preventDefault();
                     document.getElementById('logout-form').submit();">
            {{trans('message.logout')}}
        </a>

        <form id="logout-form" action="{{ url('/admin/logout') }}" method="POST" style="display: none;">
            {{ csrf_field() }}
        </form>
      </div>
    </li>
  </ul>
</li>